summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2015-08-14 14:33:22 +0200
committerJeroen Roovers <jer@gentoo.org>2015-08-14 14:37:27 +0200
commit68efa0cfb267c747f8162db308b942e602990443 (patch)
tree31f9ef94257886787aea80afa8cca24de9f552c6 /net-analyzer/rrdtool
parentsys-fs/encfs: add slot equals matching for boost and openssl (diff)
downloadgentoo-68efa0cfb267c747f8162db308b942e602990443.tar.gz
gentoo-68efa0cfb267c747f8162db308b942e602990443.tar.bz2
gentoo-68efa0cfb267c747f8162db308b942e602990443.zip
net-analyzer/rrdtool: Version bump.
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'net-analyzer/rrdtool')
-rw-r--r--net-analyzer/rrdtool/Manifest1
-rw-r--r--net-analyzer/rrdtool/files/rrdtool-1.5.4-rrdrados.pod68
-rw-r--r--net-analyzer/rrdtool/rrdtool-1.5.4.ebuild189
3 files changed, 258 insertions, 0 deletions
diff --git a/net-analyzer/rrdtool/Manifest b/net-analyzer/rrdtool/Manifest
index 4296af6a11c..3f5707d48eb 100644
--- a/net-analyzer/rrdtool/Manifest
+++ b/net-analyzer/rrdtool/Manifest
@@ -1,3 +1,4 @@
DIST rrdtool-1.4.8.tar.gz 1379482 SHA256 de95b9f5aa488b0683600aad5a07c316f8d98cbe8d00aa0a1c87e2b2ef89f3d6 SHA512 c525978829508e1db393092c948d8db910554f42e1221acc4064a8f546ceac5d68943f603c6f0ef0e6510bbe5f606cfe6862672145ea1b630cd2b7fd07fa805b WHIRLPOOL f3926aed715a80c8d8287b057c39bbe614d81ebf9f24d1e285a9a438594d5c4c66b59934cc7c6be0550f0f729f319b01a46efc32ccf0b412563c43cf74a21564
DIST rrdtool-1.4.9.tar.gz 1385640 SHA256 3e2826e0d60aaf85313da35b3c0d3a926748fe482b4ada766a325a83b60125cc SHA512 938d6a10c750cbc1e368020fc2408644bc10f6e1d9316f3117df406beef16d7d5fca2fc6fa2bdb6b1ed3e49aa872d58f1f66d1ccee9fe73483c6a5e483c33d4a WHIRLPOOL bc5fb01aef18feb89bb801a2f7fa8c2002b8f8a40e8038355e7edda8a729f354a639c864c01a1ddc7a66d19c8911d75f4f202008bec994d521a209dc6579fe10
DIST rrdtool-1.5.3.tar.gz 2158011 SHA256 79e7b2f5cf74843e89fe4d08925f955268fd21736cbea03e54ae83320fc6129f SHA512 51e0dbca582acde1a0e77a8fcc4ffa2389b5467b5eb2443a6c9e38851459b7aa9bc08a8d5fd44f69c72e3cdb46be64a2baa66c69ca86a4cda8a061120fa14afb WHIRLPOOL 8738a499699423bd7c2536ca8d8b57db386b190fdeea47328c126aa70fae8d604ab1ab18253567a8426fe73e3fb9ab17ba8c40563841015da96451dcb4435dd7
+DIST rrdtool-1.5.4.tar.gz 2181438 SHA256 3feea3da87c02128a27083f1c7b2cb797ef673e946564c0ce008c1c25a5c3f99 SHA512 1b28db23d138677210e396c2eea48f88839847d0e08a7048b6ffa83384de612c1e71cfd10da0ef59ebc87a2707a72b226153f0d73c78c74f68bb9f721b7ad665 WHIRLPOOL 00346df3e9c5e07d4a23347f486a32c697f25bebc257e780dedebd28ef4a60b8d8d447bd431629eaf8f19d3155d03a5cbabf3df1565089a6eefde79a502f8e0e
diff --git a/net-analyzer/rrdtool/files/rrdtool-1.5.4-rrdrados.pod b/net-analyzer/rrdtool/files/rrdtool-1.5.4-rrdrados.pod
new file mode 100644
index 00000000000..0c645548a20
--- /dev/null
+++ b/net-analyzer/rrdtool/files/rrdtool-1.5.4-rrdrados.pod
@@ -0,0 +1,68 @@
+=head1 NAME
+
+rrdrados - Creating, updating and retrieving RRD files from Ceph
+
+=head1 SYNOPSIS
+
+E<lt>rrdfileE<gt> = B<ceph//E<lt>nameE<gt>>
+
+
+=head1 DESCRIPTION
+
+This module adds support for creating, updating and retrieving RRD files
+directly from a Ceph cluster using librados.
+
+It adds a ceph// prefix to RRD file name which is used to instruct rrdtool to
+operate on a file that is stored in Ceph.
+
+Currently the module expects to find the Ceph configuration file in the default
+location at /etc/ceph/ceph.conf. By default it uses Ceph client ID "admin" and a
+Ceph pool named "rrd".
+
+
+=head1 ENVIRONMENT VARIABLES
+
+=over 4
+
+=item B<CEPH_ID>
+
+Sets the Ceph Client ID to use when connecting. By default the client ID "admin"
+is used.
+
+=item B<CEPH_POOL>
+
+Sets the name of the Ceph Pool to connect to. By default, the pool "rrd" is
+used.
+
+=back
+
+
+=head1 EXAMPLES
+
+B<Creating an RRD file on Ceph>
+
+ rrdtool create ceph//temperature.rrd --step 300 \
+ DS:temp:GAUGE:600:-273:5000 \
+ RRA:AVERAGE:0.5:1:1200 \
+ RRA:MIN:0.5:12:2400 \
+ RRA:MAX:0.5:12:2400 \
+ RRA:AVERAGE:0.5:12:2400
+
+
+B<Importing an existing RRD into Ceph>
+
+ rrdtool dump existing.rrd | rrdtool restore - ceph//new.rrd
+
+Or you could also copy the RRD file directly into Ceph using the rados command
+line utility.
+
+
+B<Retrieving RRD data from Ceph>
+
+ rrdtool fetch ceph//file.rrd AVERAGE
+
+
+=head1 AUTHOR
+
+Simon Boulet E<lt>simon@nostalgeek.comE<gt>
+
diff --git a/net-analyzer/rrdtool/rrdtool-1.5.4.ebuild b/net-analyzer/rrdtool/rrdtool-1.5.4.ebuild
new file mode 100644
index 00000000000..1505e3be6eb
--- /dev/null
+++ b/net-analyzer/rrdtool/rrdtool-1.5.4.ebuild
@@ -0,0 +1,189 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DISTUTILS_OPTIONAL=true
+DISTUTILS_SINGLE_IMPL=true
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python2_7 )
+inherit autotools eutils perl-module distutils-r1 flag-o-matic multilib
+
+DESCRIPTION="A system to store and display time-series data"
+HOMEPAGE="http://oss.oetiker.ch/rrdtool/"
+SRC_URI="http://oss.oetiker.ch/rrdtool/pub/${P/_/-}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos ~x86-solaris"
+IUSE="dbi doc graph lua perl python rados rrdcgi ruby static-libs tcl tcpd"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+CDEPEND="
+ >=dev-libs/glib-2.28.7:2[static-libs(+)?]
+ >=dev-libs/libxml2-2.7.8:2[static-libs(+)?]
+ dbi? ( dev-db/libdbi[static-libs(+)?] )
+ graph? (
+ >=media-libs/libpng-1.5.10:0=[static-libs(+)?]
+ >=x11-libs/cairo-1.10.2[svg,static-libs(+)?]
+ >=x11-libs/pango-1.28
+ )
+ lua? ( dev-lang/lua:*[deprecated] )
+ perl? ( dev-lang/perl:= )
+ python? ( ${PYTHON_DEPS} )
+ rados? ( sys-cluster/ceph )
+ tcl? ( dev-lang/tcl:0= )
+ tcpd? ( sys-apps/tcp-wrappers )
+"
+
+DEPEND="
+ ${CDEPEND}
+ sys-apps/groff
+ virtual/pkgconfig
+ virtual/awk
+"
+RDEPEND="
+ ${CDEPEND}
+"
+PDEPEND="
+ ruby? ( ~dev-ruby/rrdtool-bindings-${PV} )
+"
+
+S=${WORKDIR}/${P/_/-}
+
+python_compile() {
+ cd bindings/python || die
+ distutils-r1_python_compile
+}
+
+python_install() {
+ cd bindings/python || die
+ distutils-r1_python_install
+}
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # At the next version bump, please see if you actually still need this
+ # before adding versions
+ cp "${FILESDIR}"/${P}-rrdrados.pod doc/rrdrados.pod || die
+
+ epatch \
+ "${FILESDIR}"/${PN}-1.4.7-configure.ac.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-cgi.patch \
+ "${FILESDIR}"/${PN}-1.4.9-disable-rrd_graph-perl.patch \
+ "${FILESDIR}"/${PN}-1.5.0_rc1-disable-rrd_graph-lua.patch \
+ "${FILESDIR}"/${PN}-1.5.0_rc1-disable-rrd_graph-python.patch
+
+ # bug 456810
+ # no time to sleep
+ sed -i \
+ -e 's|$LUA_CFLAGS|IGNORE_THIS_BAD_TEST|g' \
+ -e 's|^sleep 1$||g' \
+ -e '/^dnl.*png/s|^dnl||g' \
+ configure.ac || die
+
+ # Python bindings are built/installed manually
+ sed -i \
+ -e '/^all-local:/s| @COMP_PYTHON@||' \
+ bindings/Makefile.am || die
+
+ echo ${PV/_rc*/} >> VERSION || die
+
+ export rd_cv_gcc_flag__Werror=no
+
+ eautoreconf
+}
+
+src_configure() {
+ filter-flags -ffast-math
+
+ export RRDDOCDIR=${EPREFIX}/usr/share/doc/${PF}
+
+ # to solve bug #260380
+ [[ ${CHOST} == *-solaris* ]] && append-flags -D__EXTENSIONS__
+
+ # Stub configure.ac
+ local myconf=()
+ if ! use tcpd; then
+ myconf+=( "--disable-libwrap" )
+ fi
+ if ! use dbi; then
+ myconf+=( "--disable-libdbi" )
+ fi
+ if ! use rados; then
+ myconf+=( "--disable-librados" )
+ fi
+
+ econf \
+ $(use_enable graph rrd_graph) \
+ $(use_enable lua lua-site-install) \
+ $(use_enable lua) \
+ $(use_enable perl perl-site-install) \
+ $(use_enable perl) \
+ $(use_enable python) \
+ $(use_enable rrdcgi) \
+ $(use_enable static-libs static) \
+ $(use_enable tcl) \
+ $(use_with tcl tcllib "${EPREFIX}"/usr/$(get_libdir)) \
+ --with-perl-options=INSTALLDIRS=vendor \
+ --disable-ruby-site-install \
+ --disable-ruby \
+ ${myconf[@]}
+}
+
+src_compile() {
+ default
+
+ use python && distutils-r1_src_compile
+}
+
+src_install() {
+ default
+
+ if ! use doc ; then
+ rm -rf "${ED}"usr/share/doc/${PF}/{html,txt}
+ fi
+
+ if use !rrdcgi ; then
+ # uses rrdcgi, causes invalid shebang error in Prefix, useless
+ # without rrdcgi installed
+ rm -f "${ED}"usr/share/${PN}/examples/cgi-demo.cgi
+ fi
+
+ if use perl ; then
+ perl_delete_localpod
+ perl_delete_packlist
+ fi
+
+ dodoc CHANGES CONTRIBUTORS NEWS THREADS TODO
+
+ find "${ED}"usr -name '*.la' -exec rm -f {} +
+
+ keepdir /var/lib/rrdcached/journal/
+ keepdir /var/lib/rrdcached/db/
+
+ newconfd "${FILESDIR}"/rrdcached.confd rrdcached
+ newinitd "${FILESDIR}"/rrdcached.init rrdcached
+
+ use python && distutils-r1_src_install
+}
+
+pkg_postinst() {
+ if [[ ${REPLACING_VERSIONS} -le 1.3 ]]; then
+ ewarn "Since version 1.3, rrdtool dump emits completely legal xml. Basically this"
+ ewarn "means that it contains an xml header and a DOCTYPE definition. Unfortunately"
+ ewarn "this causes older versions of rrdtool restore to be unhappy."
+ ewarn
+ ewarn "To restore a new dump with an old rrdtool restore version, either remove"
+ ewarn "the xml header and the doctype by hand (both on the first line of the dump)"
+ ewarn "or use rrdtool dump --no-header."
+ ewarn
+ ewarn ">=net-analyzer/rrdtool-1.3 does not have any default font bundled. Thus if"
+ ewarn ">you've upgraded from rrdtool-1.2.x and don't have any font installed to make"
+ ewarn ">lables visible, please, install some font, e.g. media-fonts/dejavu."
+ fi
+}